## clusterssh 4.01.01

=== Makefile ===
# This Makefile is for the App::ClusterSSH extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.62 (Revision: 66200) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => {  }
#     EXE_FILES => [q[bin/ccon], q[bin/crsh], q[bin/cscp], q[bin/cssh], q[bin/ctel]]
#     INSTALLDIRS => q[site]
#     NAME => q[App::ClusterSSH]
#     PL_FILES => {  }
#     PREREQ_PM => { Try::Tiny=>q[0], Test::Pod::Coverage=>q[0], version=>q[0], File::Which=>q[0], Test::Trap=>q[0], Readonly=>q[0], Test::Pod=>q[0], Exception::Class=>q[1.31], X11::Protocol=>q[0.56], File::Temp=>q[0], Locale::Maketext=>q[0], Tk=>q[800.022] }
#     VERSION_FROM => q[lib/App/ClusterSSH.pm]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.10/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = cc
LDDLFLAGS = -shared -O2 -g -L/usr/local/lib -fstack-protector
LDFLAGS =  -fstack-protector -L/usr/local/lib
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.6.24-29-server
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.10.1
SITEARCHEXP = /usr/local/lib/perl/5.10.1
SO = so
VENDORARCHEXP = /usr/lib/perl5
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = App::ClusterSSH
NAME_SYM = App_ClusterSSH
VERSION = 4.01_01
VERSION_MACRO = VERSION
VERSION_SYM = 4_01_01
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 4.01_01
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /usr
SITEPREFIX = /usr/local
VENDORPREFIX = /usr
INSTALLPRIVLIB = /usr/share/perl/5.10
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /usr/local/share/perl/5.10.1
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /usr/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /usr/lib/perl/5.10
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /usr/local/lib/perl/5.10.1
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /usr/lib/perl5
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/local/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /usr/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /usr/local/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = /usr/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /usr/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/local/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /usr/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/local/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /usr/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.10
PERL_ARCHLIB = /usr/lib/perl/5.10
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.10/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /home/dferguson/perl/lib/perl5/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.62
MM_REVISION = 66200

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = App/ClusterSSH
BASEEXT = ClusterSSH
PARENT_NAME = App
DLBASE = $(BASEEXT)
VERSION_FROM = lib/App/ClusterSSH.pm
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = bin/ccon \
	bin/crsh \
	bin/cssh \
	bin/ctel
MAN3PODS = lib/App/ClusterSSH.pm \
	lib/App/ClusterSSH/Base.pm \
	lib/App/ClusterSSH/Cluster.pm \
	lib/App/ClusterSSH/Config.pm \
	lib/App/ClusterSSH/Helper.pm \
	lib/App/ClusterSSH/Host.pm \
	lib/App/ClusterSSH/L10N.pm \
	lib/App/ClusterSSH/L10N/en.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/App
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/App

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/App/ClusterSSH.pm \
	lib/App/ClusterSSH/Base.pm \
	lib/App/ClusterSSH/Cluster.pm \
	lib/App/ClusterSSH/Config.pm \
	lib/App/ClusterSSH/Helper.pm \
	lib/App/ClusterSSH/Host.pm \
	lib/App/ClusterSSH/L10N.pm \
	lib/App/ClusterSSH/L10N/en.pm

PM_TO_BLIB = lib/App/ClusterSSH/Config.pm \
	blib/lib/App/ClusterSSH/Config.pm \
	lib/App/ClusterSSH.pm \
	blib/lib/App/ClusterSSH.pm \
	lib/App/ClusterSSH/L10N/en.pm \
	blib/lib/App/ClusterSSH/L10N/en.pm \
	lib/App/ClusterSSH/Base.pm \
	blib/lib/App/ClusterSSH/Base.pm \
	lib/App/ClusterSSH/L10N.pm \
	blib/lib/App/ClusterSSH/L10N.pm \
	lib/App/ClusterSSH/Helper.pm \
	blib/lib/App/ClusterSSH/Helper.pm \
	lib/App/ClusterSSH/Cluster.pm \
	blib/lib/App/ClusterSSH/Cluster.pm \
	lib/App/ClusterSSH/Host.pm \
	blib/lib/App/ClusterSSH/Host.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.62
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = App-ClusterSSH
DISTVNAME = App-ClusterSSH-4.01_01


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN1DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN1DIR)$(DFSEP).exists

$(INST_MAN3DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN3DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN3DIR)$(DFSEP).exists



# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(INST_DYNAMIC) $(INST_BOOT)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
static :: $(FIRST_MAKEFILE) $(INST_STATIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:

POD2MAN_EXE = $(PERLRUN) "-MExtUtils::Command::MM" -e pod2man "--"
POD2MAN = $(POD2MAN_EXE)

## clusterssh 4.00.01

=== debian/changelog ===
clusterssh (4.00.01-1) unstable; urgency=low

  * New upstream release/build system.

 -- tony mancill <tmancill@debian.org>  Sun, 24 Jan 2010 15:47:50 -0800

clusterssh (3.28-2) unstable; urgency=low

  * Convert to quilt source format.
  * Remove Build-Depend on quilt.
  * Set debian/compat to 7.
  * Rework (simplify) debian/rules.

 -- tony mancill <tmancill@debian.org>  Thu, 24 Dec 2009 22:40:07 -0800

clusterssh (3.28-1) unstable; urgency=low

  * New upstream release (closes: #533406)

 -- tony mancill <tmancill@debian.org>  Sat, 19 Dec 2009 15:51:41 -0800

clusterssh (3.27-1) unstable; urgency=low

  * New upstream release (closes: #547931)
  * Add patch allowing '%' to appear in hostname strings. (closes: #543368)
  * Set Standards-Version to 3.8.3 (no changes needed).
  * Update Gregor's email address in Uploaders:.

 -- tony mancill <tmancill@debian.org>  Sun, 04 Oct 2009 11:59:37 -0700

clusterssh (3.26-1) unstable; urgency=low

  * New upstream release
  * Remove Debian patches that have been incorporated upstream.
  * Update debian/README.Debian

 -- tony mancill <tmancill@debian.org>  Mon, 08 Jun 2009 16:44:36 -0700

clusterssh (3.25-1) unstable; urgency=low

  * New upstream release
  * Remove patch for upstream svn r241.
  * Bump policy to version 3.8.1 (no changes).

 -- tony mancill <tmancill@debian.org>  Thu, 26 Mar 2009 22:00:56 -0700

clusterssh (3.24-4) unstable; urgency=low

  * Use upstream r241 of cssh.pl (applied as patch).
    - manpage: options ordered alphabetically (closes: #517956)
    - manpage: EXAMPLES section added (closes: #518185)
    - ~/.csshrc file can now be a symlink (closes: #518196)
  * Modify other Debian patches to apply against r241-patched source.
  * Add 07_mancomment.patch to remove code comment from manpage.

 -- tony mancill <tmancill@debian.org>  Fri, 20 Mar 2009 09:44:10 -0700

clusterssh (3.24-3) unstable; urgency=low

  * Update for ctel-port patch.

 -- tony mancill <tmancill@debian.org>  Wed, 18 Feb 2009 09:04:58 -0800

clusterssh (3.24-2) unstable; urgency=low

  * Add ctel-port patch (closes: #513571)
    (Thank you to Gerfried Fuchs.)

 -- tony mancill <tmancill@debian.org>  Mon, 16 Feb 2009 19:56:28 -0800

clusterssh (3.24-1) unstable; urgency=low

  * New upstream release
  * Remove 01_ssh_config_host patch; incorporated into upstream.

 -- tony mancill <tmancill@debian.org>  Tue, 25 Nov 2008 22:08:45 -0800

clusterssh (3.22-2) unstable; urgency=low

  [ tony mancill ]
  * Add 02_connect_args.patch for overide of ssh_args (closes: #498968)
  * Convert from dpatch to quilt for debian/patches.
  * Add 04_unresolvable_host.patch (closes: #499935)

  [ gregor herrmann ]
  * debian/rules: let configure-stamp target depend on $(QUILT_STAMPFN).
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * Set -e flag in maintainer script, caught by the new version of lintian.
  * Add patch 03_manpage_whois.patch the fix a minor problem in the .NAME
    section of the manpage.

 -- tony mancill <tmancill@debian.org>  Tue, 30 Sep 2008 21:17:11 -0700

clusterssh (3.22-1) unstable; urgency=low

  [ gregor herrmann ]
  * Change debian/copyright to the new machine-readable format.

  [ tony mancill ]
  * New upstream release
  * Remove Debian patches rolled into new upstream release.
  * Add 01_ssh_config_host patch.
  * Bump standards version to 3.7.3 (no changes).

 -- tony mancill <tmancill@debian.org>  Fri, 25 Jan 2008 18:54:33 -0800

clusterssh (3.21-2) unstable; urgency=low

  [ gregor herrmann ]
  * Don't install empty /usr/lib directory.

  [ tony mancill ]
  * Add links for ctel (cluster telnet) binary and manpage.
  * Update debian/rules to reverse order of patch/build-stamp

 -- tony mancill <tmancill@debian.org>  Mon, 03 Dec 2007 23:13:42 -0800

clusterssh (3.21-1) unstable; urgency=low

  * New upstream release
  * Remove debian/patches incorporated into upstream release.
    - 03_class_445441.dpatch
    - 04_unmapped_keysym_446984.dpatch
  * Add patch (05_disable_warning) to disable history warning.

 -- tony mancill <tmancill@debian.org>  Fri, 30 Nov 2007 22:50:59 -0800

clusterssh (3.19.1-9) unstable; urgency=low

  [ gregor herrmann ]
  * Move upstream URL from the description to the new Homepage field.
  * Change XS-Vcs-* fields to Vcs-*.

  [ tony mancill ]
  * Add patch to match "-class <CLASS>" in terminal args and use this
    class as the default class for SendEvents.  (closes: #445441)
  * Add patch to suppress error message printed for unmapped keysym
    in keyboardmap.  (closes: #446984)

 -- tony mancill <tmancill@debian.org>  Sun, 25 Nov 2007 21:36:25 -0800

clusterssh (3.19.1-8) unstable; urgency=low

  * Add patch to allow SendEvents to work with any class of xterm
    (closes: #428003)

 -- tony mancill <tmancill@debian.org>  Thu, 16 Aug 2007 23:04:00 -0700

clusterssh (3.19.1-7) unstable; urgency=low

  * Don't ignore errors of ($MAKE) distclean.
  * Remove deprecated Encoding entry from desktop file and replace
    Application by System there.
  * Include upstream changelog and README.
  * Adjust section in menu file to new menu structure.
  * Update watch file.
  * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control.
  * Add myself to uploaders.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 13 Aug 2007 21:22:12 +0200

clusterssh (3.19.1-6) unstable; urgency=low

  * patch from upstream svn to honor '-o' option (closes: #428531)

 -- tony mancill <tmancill@debian.org>  Tue, 12 Jun 2007 07:33:30 -0700

clusterssh (3.19.1-5) unstable; urgency=low

  * added patch from Harald Weidner to fix error messages about uninitialized
    values during startup.  (closes: #402564)
  * increased debhelper dependency to 5; added build dependency on dpatch
  * added homepage to debian/control

 -- tony mancill <tmancill@debian.org>  Mon, 11 Jun 2007 21:23:46 -0700

clusterssh (3.19.1-4) unstable; urgency=medium



=== debian/control ===
Source: clusterssh
Section: admin
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.3
Homepage: http://clusterssh.sourceforge.net/
Vcs-Svn: http://dorf.mancill.com/svn/deb/clusterssh/
Vcs-Browser: http://dorf.mancill.com/websvn/listing.php?repname=debian+SVN+repository&path=%2Fclusterssh%2F

Package: clusterssh
Architecture: all
Depends: perl-tk, openssh-client, xterm, libx11-protocol-perl, ${misc:Depends}
Description: administer multiple ssh or rsh shells simultaneously
 ClusterSSH allows you to control multiple ssh or rsh sessions from a
 single input window.  You can also configure clusters of machines for
 easy invocation and interact with individual terminal windows during a
 session.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#
# modification history:
# 20040412/tm	initial version
# 20050426/tm	rework for autoconf in 3.3
# 20061213/tm	add call to dpatch
# 20071203/tm	add ctel binary and manpage links
# 20080929/tm	convert from dpatch to quilt
# 20091224/tm	convert to source format 3.0 (quilt)
###########################################################
%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	#$(MAKE) install prefix=`pwd`/debian/clusterssh/usr mandir=`pwd`/debian/clusterssh/usr/share/man
	dh_link /usr/bin/cssh /usr/bin/crsh
	dh_link /usr/bin/cssh /usr/bin/ctel
	dh_link /usr/share/man/man1/cssh.1p.gz /usr/share/man/man1/crsh.1.gz
	dh_link /usr/share/man/man1/cssh.1p.gz /usr/share/man/man1/ctel.1.gz
	cp -p `pwd`/debian/clusterssh.desktop `pwd`/debian/clusterssh/usr/share/applications
	cp -p `pwd`/debian/clusterssh-32x32.xpm `pwd`/debian/clusterssh/usr/share/pixmaps/
	rm -f `pwd`/debian/clusterssh/usr/bin/cscp
	dh_installdocs README

=== debian/watch ===
version=3
http://sf.net/clusterssh/clusterssh-([\d\.]+)\.tar\.gz

## clusterssh 4.00.05

=== debian/changelog ===
clusterssh (4.00.05-3) unstable; urgency=low

  * Update Standards Version to 3.9.0 (no changes necessary).
  * Update Vcs-Browser link in debian/control (thanks to Petr Vorel).

 -- tony mancill <tmancill@debian.org>  Sun, 18 Jul 2010 15:20:46 -0700

clusterssh (4.00.05-2) unstable; urgency=medium (closes important bug)

  * Add patch to restore --username/-l option. (Closes: #587378)

 -- tony mancill <tmancill@debian.org>  Tue, 29 Jun 2010 12:18:33 -0700

clusterssh (4.00.05-1) unstable; urgency=low

  * New upstream release.  (Closes: #586295)
  * Add patch for warning emitted when adding hosts. (Closes: #578208)

 -- tony mancill <tmancill@debian.org>  Sun, 20 Jun 2010 16:07:18 -0700

clusterssh (4.00.04-1) unstable; urgency=low

  * New upstream release.
  * Update Standards Version to 3.8.4 (no changes needed).
  * Update build-deps for new upstream build/test system.
  * Update debian/copyright to account for cscp and modules licensed
    under both the GPL and the Perl Artistic license.

 -- tony mancill <tmancill@debian.org>  Sun, 20 Jun 2010 08:29:31 -0700

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
 Uploaders: gregor herrmann <gregoa@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.0.50~), libtest-trap-perl, libtest-pod-perl, libtest-pod-coverage-perl, libtk-perl, libx11-protocol-perl
+Standards-Version: 3.9.0
 Homepage: http://clusterssh.sourceforge.net/
 Vcs-Svn: http://dorf.mancill.com/svn/deb/clusterssh/
-Vcs-Browser: http://dorf.mancill.com/websvn/listing.php?repname=debian+SVN+repository&path=%2Fclusterssh%2F
+Vcs-Browser: http://dorf.mancill.com/websvn/listing.php?repname=deb&path=%2Fclusterssh%2F
 
 Package: clusterssh
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,18 +13,17 @@
 # 20071203/tm	add ctel binary and manpage links
 # 20080929/tm	convert from dpatch to quilt
 # 20091224/tm	convert to source format 3.0 (quilt)
+# 20100620/tm	no longer installing manpage links
 ###########################################################
 %:
 	dh $@
 
 override_dh_auto_install:
 	dh_auto_install
-	#$(MAKE) install prefix=`pwd`/debian/clusterssh/usr mandir=`pwd`/debian/clusterssh/usr/share/man
 	dh_link /usr/bin/cssh /usr/bin/crsh
 	dh_link /usr/bin/cssh /usr/bin/ctel
-	dh_link /usr/share/man/man1/cssh.1p.gz /usr/share/man/man1/crsh.1.gz
-	dh_link /usr/share/man/man1/cssh.1p.gz /usr/share/man/man1/ctel.1.gz
 	cp -p `pwd`/debian/clusterssh.desktop `pwd`/debian/clusterssh/usr/share/applications
 	cp -p `pwd`/debian/clusterssh-32x32.xpm `pwd`/debian/clusterssh/usr/share/pixmaps/
+	# removing this binary; there is no manpage
 	rm -f `pwd`/debian/clusterssh/usr/bin/cscp
 	dh_installdocs README

## clusterssh 4.00.07

=== debian/changelog ===
clusterssh (4.00.07-1) unstable; urgency=low

  * New upstream release
  * Remove debian_587378.patch, as was incorporated upstream
  * Update long description to include command name.  (Closes: #595345)
  * Add symlink for clusterssh -> cssh: add manpage symlink for same.
  * Update Standards Version to 3.9.1 (no changes necessary).

 -- tony mancill <tmancill@debian.org>  Mon, 24 Jan 2011 22:14:59 -0800

=== debian/control ===
Source: clusterssh
Section: admin
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libtest-trap-perl, libtest-pod-perl, libtest-pod-coverage-perl, libtk-perl, libx11-protocol-perl
Standards-Version: 3.9.1
Homepage: http://clusterssh.sourceforge.net/
Vcs-Svn: http://dorf.mancill.com/svn/deb/clusterssh/
Vcs-Browser: http://dorf.mancill.com/websvn/listing.php?repname=deb&path=%2Fclusterssh%2F

Package: clusterssh
Architecture: all
Depends: perl-tk, openssh-client, xterm, libx11-protocol-perl, ${misc:Depends}
Description: administer multiple ssh or rsh shells simultaneously
 ClusterSSH (cssh, crsh, ctel) allows you to control multiple ssh, rsh 
 or telnet sessions from a single input window.  You can also configure 
 clusters of machines for easy invocation and interact with individual 
 terminal windows during a session.

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 	dh_auto_install
 	dh_link /usr/bin/cssh /usr/bin/crsh
 	dh_link /usr/bin/cssh /usr/bin/ctel
+	dh_link /usr/bin/cssh /usr/bin/clusterssh
+	dh_link /usr/share/man/man1/cssh.1p.gz /usr/share/man/man1/clusterssh.1.gz
 	cp -p `pwd`/debian/clusterssh.desktop `pwd`/debian/clusterssh/usr/share/applications
 	cp -p `pwd`/debian/clusterssh-32x32.xpm `pwd`/debian/clusterssh/usr/share/pixmaps/
 	# removing this binary; there is no manpage

## clusterssh 4.00.11

=== debian/changelog ===
clusterssh (4.00.11-2) unstable; urgency=low

  * Update Vcs-* fields in debian/control for transition to git.
  * Add patch to treat "clusterssh" as "cssh" (Closes: #644368)

 -- tony mancill <tmancill@debian.org>  Sun, 23 Oct 2011 21:28:44 -0700

clusterssh (4.00.11-1) unstable; urgency=low

  * New upstream release
    - adds ccon (console)
    - (Closes: #641480)

 -- tony mancill <tmancill@debian.org>  Sun, 18 Sep 2011 10:57:59 -0700

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: tony mancill <tmancill@debian.org>
 Uploaders: gregor herrmann <gregoa@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libtest-trap-perl, libtest-pod-perl, libtest-pod-coverage-perl, libtk-perl, libx11-protocol-perl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://clusterssh.sourceforge.net/
-Vcs-Svn: http://dorf.mancill.com/svn/deb/clusterssh/
-Vcs-Browser: http://dorf.mancill.com/websvn/listing.php?repname=deb&path=%2Fclusterssh%2F
+Vcs-Git: git://git.debian.org/git/collab-maint/clusterssh.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/clusterssh.git
 
 Package: clusterssh
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	dh_auto_install
 	dh_link /usr/bin/cssh /usr/bin/crsh
 	dh_link /usr/bin/cssh /usr/bin/ctel
+	dh_link /usr/bin/cssh /usr/bin/ccon
 	dh_link /usr/bin/cssh /usr/bin/clusterssh
 	dh_link /usr/share/man/man1/cssh.1p.gz /usr/share/man/man1/clusterssh.1.gz
 	cp -p `pwd`/debian/clusterssh.desktop `pwd`/debian/clusterssh/usr/share/applications

## clusterssh 4.01.01

=== debian/changelog ===
clusterssh (4.01.01-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes).
  * update whatis entry for App::Helper
  * Apply patch to fix ctel, crsh, and ccon comms methods
    (Closes: #697185)
  * Add patch to remove incorrect "always_tile" entry from manpages.
    The correct option is "window_tiling". (Closes: #697370)

 -- tony mancill <tmancill@debian.org>  Fri, 04 Jan 2013 21:26:26 -0800

clusterssh (4.01.01-4) unstable; urgency=low

  * Patch manpages to refer to ~/.clusterssh/config instead of .csshrc.
    Patch default configuration file to reference ~/.clusterssh/clusters
    if clusters are present in the configuration.
    (Closes: #673507)

 -- tony mancill <tmancill@debian.org>  Sun, 24 Jun 2012 09:35:37 -0700

clusterssh (4.01.01-3) unstable; urgency=low

  * Add build dependency on openssh-client. (Closes: #674304)

 -- gregor herrmann <gregoa@debian.org>  Thu, 24 May 2012 16:41:56 +0200

clusterssh (4.01.01-2) unstable; urgency=low

  * Add patch to improve paste logic for non-qwery layouts.
    - Thank you to Peter Gervai. (Closes: #364565)

 -- tony mancill <tmancill@debian.org>  Mon, 07 May 2012 20:56:58 -0700

clusterssh (4.01.01-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Add 03_disable_config_test.patch to allow tests to complete when
    build occurs on system other than upstream maintainer's.
  * d/control: add ${perl:Depends}, libtry-tiny-perl, and 
    libexception-class-perl to the binary package Depends.

 -- tony mancill <tmancill@debian.org>  Sun, 06 May 2012 14:10:51 -0700

=== debian/control ===
Source: clusterssh
Section: admin
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
 , libexception-class-perl
 , libfile-which-perl
 , libreadonly-perl
 , libtest-distmanifest-perl
 , libtest-pod-perl
 , libtest-pod-coverage-perl
 , libtest-trap-perl
 , libtk-perl
 , libtry-tiny-perl
 , libx11-protocol-perl
 , openssh-client
 , xterm
Standards-Version: 3.9.4
Homepage: http://clusterssh.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/clusterssh.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/clusterssh.git

Package: clusterssh
Architecture: all
Depends: perl-tk
 , openssh-client
 , xterm
 , libx11-protocol-perl
 , libtry-tiny-perl
 , libexception-class-perl
 , ${misc:Depends}, ${perl:Depends}
Description: administer multiple ssh or rsh shells simultaneously
 ClusterSSH (cssh, crsh, ctel) allows you to control multiple ssh, rsh 
 or telnet sessions from a single input window.  You can also configure 
 clusters of machines for easy invocation and interact with individual 
 terminal windows during a session.

=== debian/watch ===
version=3
http://sf.net/projects/clusterssh/clusterssh-([\d\.]+)\.tar\.gz

## clusterssh 4.02.01

=== debian/changelog ===
clusterssh (4.02.01-1) unstable; urgency=low

  * New upstream release.
    - Adds support for "tags" files (each line maps a hostname to 1+ tags)
    - Adds external_cluster_command to allow invoking a helper to
      generate hostnames from a tag.

 -- tony mancill <tmancill@debian.org>  Tue, 16 Apr 2013 21:22:07 -0700

clusterssh (4.01.05-1) unstable; urgency=low

  [ gregor herrmann ]
  * Update debian/watch file for 4.x series tarballs

  [ tony mancill ]
  * New upstream release.
    - no longer forces -l $user on the command line (Closes: #701872)
    - new option (-m, --unique-servers) to remove repeated servers when
      opening terminals

 -- tony mancill <tmancill@debian.org>  Fri, 08 Mar 2013 22:05:20 -0800

clusterssh (4.01.04-1) unstable; urgency=low

  * New upstream release.
    - All windows share the same WM_CLASS "cssh" (Closes: #614096)
    - The "user" option is restored. (Closes: #699874) 
    - Removed Debian patches applied upstream. 
  * Add libtest-differences-perl to Build-Depends.

 -- tony mancill <tmancill@debian.org>  Tue, 26 Feb 2013 13:38:04 -0800

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  , libtest-pod-perl
  , libtest-pod-coverage-perl
  , libtest-trap-perl
+ , libtest-differences-perl
  , libtk-perl
  , libtry-tiny-perl
  , libx11-protocol-perl

## clusterssh 4.02.02%2B20140117%2Bgit58bd88a0

=== debian/control ===
Source: clusterssh
Section: admin
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Build-Depends: debhelper (>= 9~),
 libexception-class-perl,
 libfile-which-perl,
 libreadonly-perl,
 libtest-distmanifest-perl,
 libtest-pod-perl,
 libtest-pod-coverage-perl,
 libtest-trap-perl,
 libtest-differences-perl,
 libtk-perl,
 libtry-tiny-perl,
 libx11-protocol-perl,
 openssh-client,
 xterm
Standards-Version: 3.9.5
Homepage: http://clusterssh.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/clusterssh.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/clusterssh.git;a=summary

Package: clusterssh
Architecture: all
Depends: perl-tk,
 openssh-client,
 xterm,
 libx11-protocol-perl,
 libtry-tiny-perl,
 libexception-class-perl,
 ${misc:Depends}, ${perl:Depends}
Description: administer multiple ssh or rsh shells simultaneously
 ClusterSSH (cssh, crsh, ctel) allows you to control multiple ssh, rsh 
 or telnet sessions from a single input window.  You can also configure 
 clusters of machines for easy invocation and interact with individual 
 terminal windows during a session.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,12 @@
 # 20080929/tm	convert from dpatch to quilt
 # 20091224/tm	convert to source format 3.0 (quilt)
 # 20100620/tm	no longer installing manpage links
+# 20120506/tm	export MANIFEST_WARN_ONLY
 ###########################################################
+
+# MANIFEST check should only warn
+export MANIFEST_WARN_ONLY=1
+
 %:
 	dh $@

## clusterssh 4.02.02+20140117+git58bd88a0

=== debian/changelog ===
clusterssh (4.02.02+20140117+git58bd88a0-1) unstable; urgency=medium

  * New upstream release.
    - Fix macros (%u, %s, %h, %n) not doing multiple replacements
    - Add in key shortcut for username macro (default: ALT-u)
    - Add in key shortcut for local hostname macro (default: ALT-l)
    - Fix a bug with 'show history' key shortcut
    - Fix "uninitialised errors in hash element" bug [clusterssh
      support-requests:#38]
    - Fix the default cluster not being opened
      (LP: #1244906)
    - Add in toggle for macros
    - Fix for File -> Show History logs an error on the console
      (Closes: #716939)
    - Fix clusters file parsing of tags with line continuation
      (Closes: #722174)
  * Depend on DH 9.
  * Bump Standards-Version to 3.9.5.
  * Update Vcs- URLs to canonical format.

 -- tony mancill <tmancill@debian.org>  Fri, 17 Jan 2014 21:47:33 -0800

## clusterssh 4.02.04

=== debian/changelog ===
clusterssh (4.02.04-1) unstable; urgency=medium

  * New upstream release.  Several bug fixes.
    - Correct autoclose short option to what is actually used
    - Fix 'use_all_a_records' option
    - Fix 'title' option (thanks to Barry Roberts)
    - Fix 'Add host or cluster' window to contain cluster names

 -- tony mancill <tmancill@debian.org>  Sat, 17 May 2014 10:30:57 -0700

clusterssh (4.02.03+20140218+gited2940d9-1) unstable; urgency=medium

  * New upstream release.
  * Add libcpan-changes-perl to Build-Depends.

 -- tony mancill <tmancill@debian.org>  Wed, 07 May 2014 22:17:35 -0700

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  libtest-pod-coverage-perl,
  libtest-trap-perl,
  libtest-differences-perl,
+ libcpan-changes-perl,
  libtk-perl,
  libtry-tiny-perl,
  libx11-protocol-perl,

## clusterssh 4.03.03

=== debian/changelog ===
clusterssh (4.03.03-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.

 -- tony mancill <tmancill@debian.org>  Sun, 12 Oct 2014 09:56:36 -0700

clusterssh (4.03.02-1) unstable; urgency=medium

  * New upstream release.
  * Add clusterssh.NEWS file to alert users to changing options.

 -- tony mancill <tmancill@debian.org>  Sun, 10 Aug 2014 10:06:49 -0700

## clusterssh 4.03.04

=== debian/changelog ===
clusterssh (4.03.04-1) unstable; urgency=medium

  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Sat, 13 Dec 2014 15:56:24 -0800

## clusterssh 4.03.06

=== debian/changelog ===
clusterssh (4.03.06-2) unstable; urgency=medium

  * Add build dependency on libmodule-build-perl (and perl).
    Thanks to Dominic Hargreaves for the bug report.
    (Closes: #788892)
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Update Vcs-Browser URL.
  * Drop debian/README.source, referring to quilt.
  * Merge debian/NEWS and debian/clusterssh.NEWS.

 -- gregor herrmann <gregoa@debian.org>  Tue, 16 Jun 2015 00:28:12 +0200

clusterssh (4.03.06-1) unstable; urgency=medium

  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Sun, 01 Feb 2015 09:26:29 -0800

=== debian/control ===
Source: clusterssh
Section: admin
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Build-Depends: debhelper (>= 9~),
 libcpan-changes-perl,
 libexception-class-perl,
 libfile-slurp-perl,
 libfile-which-perl,
 libmodule-build-perl,
 libreadonly-perl,
 libtest-differences-perl,
 libtest-distmanifest-perl,
 libtest-pod-coverage-perl,
 libtest-pod-perl,
 libtest-trap-perl,
 libtk-perl,
 libtry-tiny-perl,
 libx11-protocol-perl,
 openssh-client,
 perl,
 xterm
Standards-Version: 3.9.6
Homepage: http://clusterssh.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/clusterssh.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/clusterssh.git/

Package: clusterssh
Architecture: all
Depends: libexception-class-perl,
 libtry-tiny-perl,
 libx11-protocol-perl,
 openssh-client,
 perl-tk,
 xterm,
 ${misc:Depends}, ${perl:Depends}
Description: administer multiple ssh or rsh shells simultaneously
 ClusterSSH (cssh, crsh, ctel) allows you to control multiple ssh, rsh 
 or telnet sessions from a single input window.  You can also configure 
 clusters of machines for easy invocation and interact with individual 
 terminal windows during a session.

## clusterssh 4.04

=== debian/changelog ===
clusterssh (4.04-1) unstable; urgency=medium

  * New upstream release.
  * Drop .menu file in favor of .desktop file.
  * Include bash-completion script; build-dep on bash-completion.

 -- tony mancill <tmancill@debian.org>  Sat, 14 Nov 2015 20:23:11 -0800

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 export MANIFEST_WARN_ONLY=1
 
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 override_dh_auto_install:
 	dh_auto_install
@@ -30,8 +30,9 @@
 	dh_link /usr/bin/cssh /usr/bin/ccon
 	dh_link /usr/bin/cssh /usr/bin/clusterssh
 	dh_link /usr/share/man/man1/cssh.1p.gz /usr/share/man/man1/clusterssh.1.gz
-	cp -p `pwd`/debian/clusterssh.desktop `pwd`/debian/clusterssh/usr/share/applications
-	cp -p `pwd`/debian/clusterssh-32x32.xpm `pwd`/debian/clusterssh/usr/share/pixmaps/
+	cp -p $(CURDIR)/debian/clusterssh.desktop $(CURDIR)/debian/clusterssh/usr/share/applications
+	cp -p $(CURDIR)/debian/clusterssh-32x32.xpm $(CURDIR)/debian/clusterssh/usr/share/pixmaps/
 	# removing this binary; there is no manpage
-	rm -f `pwd`/debian/clusterssh/usr/bin/cscp
+	rm -f $(CURDIR)/debian/clusterssh/usr/bin/cscp
+	rm -f $(CURDIR)/debian/clusterssh/usr/bin/clusterssh_bash_completion.dist
 	dh_installdocs README

## clusterssh 4.04.01

=== debian/changelog ===
clusterssh (4.04.01-1) unstable; urgency=medium

  * New upstream release.
    - Includes csftp
  * This package no longer ship symlinks for ctel, crsh, or ccons.
    Instead use the wrapper script provided by upstream.

 -- tony mancill <tmancill@debian.org>  Sat, 21 Nov 2015 12:32:26 -0800

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: tony mancill <tmancill@debian.org>
 Uploaders: gregor herrmann <gregoa@debian.org>
 Build-Depends: debhelper (>= 9~),
+ bash-completion,
  libcpan-changes-perl,
  libexception-class-perl,
  libfile-slurp-perl,

=== debian/rules ===
--- 
+++ 
@@ -25,14 +25,9 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	dh_link /usr/bin/cssh /usr/bin/crsh
-	dh_link /usr/bin/cssh /usr/bin/ctel
-	dh_link /usr/bin/cssh /usr/bin/ccon
 	dh_link /usr/bin/cssh /usr/bin/clusterssh
 	dh_link /usr/share/man/man1/cssh.1p.gz /usr/share/man/man1/clusterssh.1.gz
 	cp -p $(CURDIR)/debian/clusterssh.desktop $(CURDIR)/debian/clusterssh/usr/share/applications
 	cp -p $(CURDIR)/debian/clusterssh-32x32.xpm $(CURDIR)/debian/clusterssh/usr/share/pixmaps/
-	# removing this binary; there is no manpage
-	rm -f $(CURDIR)/debian/clusterssh/usr/bin/cscp
 	rm -f $(CURDIR)/debian/clusterssh/usr/bin/clusterssh_bash_completion.dist
 	dh_installdocs README

## clusterssh 4.05

=== debian/changelog ===
clusterssh (4.05-2) unstable; urgency=medium

  * Update the paths in the bash completion script (to find clusters).

 -- tony mancill <tmancill@debian.org>  Thu, 03 Dec 2015 20:05:37 -0800

clusterssh (4.05-1) unstable; urgency=medium

  * New upstream release.
    - Control-q has been replaced with Alt-q as the default keymapping
      for key_quit.  (Closes: #805868)

 -- tony mancill <tmancill@debian.org>  Sat, 28 Nov 2015 08:18:03 -0800

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
	http://sf.net/clusterssh/App-ClusterSSH-([\d\.-_]+)\.tar\.gz$

## clusterssh 4.06

=== debian/changelog ===
clusterssh (4.06-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7.
  * Remove debian/patches that have been integrated upstream.

 -- tony mancill <tmancill@debian.org>  Fri, 01 Apr 2016 21:53:37 -0700

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  openssh-client,
  perl,
  xterm
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://clusterssh.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/clusterssh.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/clusterssh.git/

## clusterssh 4.07

=== debian/changelog ===
clusterssh (4.07-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Jan Wagner <waja@cyconet.org>  Mon, 09 May 2016 10:14:22 +0200

clusterssh (4.07-1) unstable; urgency=medium

  * New upstream release.
    - Rework hostname expansion to be pure-perl rather than relying on
      the bash shell.  https://github.com/duncs/clusterssh/issues/53
  * Bump Standards-Version to 3.9.8.
  * Use https URL for Vcs-Git in debian/control.

 -- tony mancill <tmancill@debian.org>  Mon, 02 May 2016 20:40:39 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
-Uploaders: gregor herrmann <gregoa@debian.org>
+Uploaders: gregor herrmann <gregoa@debian.org>, Jan Wagner <waja@cyconet.org>
 Build-Depends: debhelper (>= 9~),
  bash-completion,
  libcpan-changes-perl,
@@ -22,9 +22,9 @@
  openssh-client,
  perl,
  xterm
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://clusterssh.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/clusterssh.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/clusterssh.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/clusterssh.git/
 
 Package: clusterssh

## clusterssh 4.08

=== debian/changelog ===
clusterssh (4.08-2) unstable; urgency=medium

  * Add patch to revert auto-spacing behavior added by
    https://github.com/duncs/clusterssh/pull/66. (Closes: #842965)
    The upstream behavior can be enabled by setting
    auto_wm_decoration_offsets=yes in ~/.clusterssh/config.
  * Update debian/NEWS to drop old news (versions were prior to
    stable) and to explain auto_wm_decoration_offsets.

 -- tony mancill <tmancill@debian.org>  Wed, 09 Nov 2016 21:09:52 -0800

clusterssh (4.08-1) unstable; urgency=medium

  * New upstream release.
    - Add libx11-protocol-other-perl as build and runtime dependency.
    - Add libsort-naturally-perl as a build-dependency.

 -- tony mancill <tmancill@debian.org>  Sun, 23 Oct 2016 18:10:51 -0700

clusterssh (4.07-2) unstable; urgency=medium

  * Replace XPM icon file with SVG file. (LP: #1575344)
  * Add patch for typo in manpages.

 -- tony mancill <tmancill@debian.org>  Sun, 25 Sep 2016 20:01:56 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
-Uploaders: gregor herrmann <gregoa@debian.org>, Jan Wagner <waja@cyconet.org>
+Uploaders: gregor herrmann <gregoa@debian.org>
 Build-Depends: debhelper (>= 9~),
  bash-completion,
  libcpan-changes-perl,
@@ -11,6 +11,7 @@
  libfile-which-perl,
  libmodule-build-perl,
  libreadonly-perl,
+ libsort-naturally-perl,
  libtest-differences-perl,
  libtest-distmanifest-perl,
  libtest-pod-coverage-perl,
@@ -19,6 +20,7 @@
  libtk-perl,
  libtry-tiny-perl,
  libx11-protocol-perl,
+ libx11-protocol-other-perl,
  openssh-client,
  perl,
  xterm
@@ -32,6 +34,7 @@
 Depends: libexception-class-perl,
  libtry-tiny-perl,
  libx11-protocol-perl,
+ libx11-protocol-other-perl,
  openssh-client,
  perl-tk,
  xterm,

## clusterssh 4.09

=== debian/changelog ===
clusterssh (4.09-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0

 -- tony mancill <tmancill@debian.org>  Thu, 22 Jun 2017 20:59:37 -0700

clusterssh (4.09-1) experimental; urgency=medium

  * New upstream release.
  * Remove upstream_PR_66.patch, which has been applied upstream.
  * Use debhelper 10.
  * Update years in debian/copyright.

 -- tony mancill <tmancill@debian.org>  Sat, 25 Mar 2017 18:20:30 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: tony mancill <tmancill@debian.org>
 Uploaders: gregor herrmann <gregoa@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10),
  bash-completion,
  libcpan-changes-perl,
  libexception-class-perl,
@@ -24,8 +24,8 @@
  openssh-client,
  perl,
  xterm
-Standards-Version: 3.9.8
-Homepage: http://clusterssh.sourceforge.net/
+Standards-Version: 4.0.0
+Homepage: https://github.com/duncs/clusterssh/wiki
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/clusterssh.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/clusterssh.git/

## clusterssh 4.10.02

=== debian/changelog ===
clusterssh (4.10.02-1) unstable; urgency=medium

  * New upstream version 4.10.02
    - Adds columns and rows: -x <cols> or -y <rows>
  * Update debian/watch to version=4 + repack + xz
  * Bump Standards-Version to 4.0.1

 -- tony mancill <tmancill@debian.org>  Fri, 11 Aug 2017 12:06:20 -0700

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  openssh-client,
  perl,
  xterm
-Standards-Version: 4.0.0
+Standards-Version: 4.0.1
 Homepage: https://github.com/duncs/clusterssh/wiki
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/clusterssh.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/clusterssh.git/

## clusterssh 4.12

=== debian/changelog ===
clusterssh (4.12-1) unstable; urgency=medium

  * New upstream version 4.12
  * Bump Standards-Version to 4.1.2

 -- tony mancill <tmancill@debian.org>  Sat, 23 Dec 2017 07:22:16 -0800

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  openssh-client,
  perl,
  xterm
-Standards-Version: 4.0.1
+Standards-Version: 4.1.2
 Homepage: https://github.com/duncs/clusterssh/wiki
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/clusterssh.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/clusterssh.git/

## clusterssh 4.13

=== debian/changelog ===
clusterssh (4.13-1) unstable; urgency=medium

  * New upstream version 4.13 (Closes: #758215)
  * Bump Standards-Version to 4.1.3

 -- tony mancill <tmancill@debian.org>  Wed, 27 Dec 2017 19:52:03 -0800

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  openssh-client,
  perl,
  xterm
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://github.com/duncs/clusterssh/wiki
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/clusterssh.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/clusterssh.git/

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g,\
    repack,compression=xz" \
	http://sf.net/clusterssh/App-ClusterSSH-([\d\.-_]+)\.tar\.gz$
